Package org.apache.sysds.runtime.controlprogram.parfor.stat

## Enum Stat

- java.lang.Object
- - java.lang.Enum<Stat>
  - - org.apache.sysds.runtime.controlprogram.parfor.stat.Stat

All Implemented Interfaces:
  `Serializable`, `Comparable<Stat>`

    public enum Stat
    extends Enum<Stat>

Collection of all ParFor statistic types.

### Enum Constant Summary

Enum Constants
`OPT_NUMEPLANS`
`OPT_NUMTPLANS`
`OPT_OPTIMIZER`
`OPT_T`
`PARFOR_DATAPARTITIONER`
`PARFOR_EXECMODE`
`PARFOR_INIT_DATA_T`
`PARFOR_INIT_PARWRK_T`
`PARFOR_INIT_TASKS_T`
`PARFOR_JITCOMPILE`
`PARFOR_JVMGC_COUNT`
`PARFOR_JVMGC_TIME`
`PARFOR_NUMITERS`
`PARFOR_NUMTASKS`
`PARFOR_NUMTHREADS`
`PARFOR_TASKPARTITIONER`
`PARFOR_TASKSIZE`
`PARFOR_WAIT_EXEC_T`
`PARFOR_WAIT_RESULTS_T`
`PARWRK_EXEC_T`
`PARWRK_ITER_T`
`PARWRK_NUMITERS`
`PARWRK_NUMTASKS`
`PARWRK_TASK_T`
`PARWRK_TASKSIZE`

### Method Summary

All Methods Static Methods Concrete Methods
`static Stat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Stat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPT_T

    public static final Stat OPT_T

#### OPT_OPTIMIZER

    public static final Stat OPT_OPTIMIZER

#### OPT_NUMTPLANS

    public static final Stat OPT_NUMTPLANS

#### OPT_NUMEPLANS

    public static final Stat OPT_NUMEPLANS

#### PARFOR_NUMTHREADS

    public static final Stat PARFOR_NUMTHREADS

#### PARFOR_TASKSIZE

    public static final Stat PARFOR_TASKSIZE

#### PARFOR_TASKPARTITIONER

    public static final Stat PARFOR_TASKPARTITIONER

#### PARFOR_DATAPARTITIONER

    public static final Stat PARFOR_DATAPARTITIONER

#### PARFOR_EXECMODE

    public static final Stat PARFOR_EXECMODE

#### PARFOR_NUMTASKS

    public static final Stat PARFOR_NUMTASKS

#### PARFOR_NUMITERS

    public static final Stat PARFOR_NUMITERS

#### PARFOR_JITCOMPILE

    public static final Stat PARFOR_JITCOMPILE

#### PARFOR_JVMGC_COUNT

    public static final Stat PARFOR_JVMGC_COUNT

#### PARFOR_JVMGC_TIME

    public static final Stat PARFOR_JVMGC_TIME

#### PARFOR_INIT_DATA_T

    public static final Stat PARFOR_INIT_DATA_T

#### PARFOR_INIT_PARWRK_T

    public static final Stat PARFOR_INIT_PARWRK_T

#### PARFOR_INIT_TASKS_T

    public static final Stat PARFOR_INIT_TASKS_T

#### PARFOR_WAIT_EXEC_T

    public static final Stat PARFOR_WAIT_EXEC_T

#### PARFOR_WAIT_RESULTS_T

    public static final Stat PARFOR_WAIT_RESULTS_T

#### PARWRK_NUMTASKS

    public static final Stat PARWRK_NUMTASKS

#### PARWRK_NUMITERS

    public static final Stat PARWRK_NUMITERS

#### PARWRK_TASKSIZE

    public static final Stat PARWRK_TASKSIZE

#### PARWRK_ITER_T

    public static final Stat PARWRK_ITER_T

#### PARWRK_TASK_T

    public static final Stat PARWRK_TASK_T

#### PARWRK_EXEC_T

    public static final Stat PARWRK_EXEC_T

### Method Detail

#### values

    public static Stat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Stat c : Stat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Stat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null